=== debian/changelog ===
wicd (1.5.6) sid lenny dapper edgy feisty gutsy hardy intrepid; urgency=low

  * New release. 

 -- Adam Blackburn <compwiz18@gmail.com>  Thu, 04 Dec 2008 18:03:38 +0800

wicd (1.5.5) sid lenny dapper edgy feisty gutsy hardy intrepid; urgency=low

  * New release.

 -- Adam Blackburn <compwiz18@gmail.com>  Mon, 01 Dec 2008 18:58:15 +0800

wicd (1.5.4) sid lenny dapper edgy feisty gutsy hardy intrepid; urgency=low

  * New release.

 -- Adam Blackburn <compwiz18@gmail.com>  Sun, 26 Oct 2008 15:04:41 +0800

wicd (1.5.3) sid lenny dapper edgy feisty gutsy hardy intrepid; urgency=low

  * New release.

 -- Adam Blackburn <compwiz18@gmail.com>  Sun, 28 Sep 2008 18:11:38 +0800

wicd (1.5.2) sid lenny dapper edgy feisty gutsy hardy intrepid; urgency=low

  * New release.

 -- Adam Blackburn <compwiz18@gmail.com>  Sat, 13 Sep 2008 17:21:55 +0800

wicd (1.5.1) sid lenny dapper edgy feisty gutsy hardy intrepid; urgency=low

  * New release.

 -- Adam Blackburn <compwiz18@gmail.com>  Sun, 03 Aug 2008 22:08:34 -0500

wicd (1.5.0) sid lenny dapper edgy feisty gutsy hardy intrepid; urgency=low

  * Initial release.

 -- Adam Blackburn <compwiz18@gmail.com>  Fri, 01 Aug 2008 22:09:18 -0500
