=== debian/control ===
Source: wicd
Section: net
Priority: extra
Maintainer: Adam Blackburn <compwiz18@gmail.com>
Uploaders: Christian Bayle <bayle@debian.org>
Build-Depends: debhelper (>= 5.0.51), python
Standards-Version: 3.8.0

Package: wicd
Architecture: all
Depends: python, python-gtk2, python-dbus | python2.4-dbus, wpasupplicant, python-glade2, wireless-tools
Conflicts: network-manager, wifi-radar, gtkwifi
Description: wired and wireless network manager
 Wicd supports wired and wireless networks, and capable of creating and 
 tracking profiles for both.  It has a template-based wireless encryption
 system, which allows the user to easily add encryption methods used.
 It ships with some common encryption types, such as WPA 1 and 2 and WEP.
 Wicd will automatically connect at startup to any preferred network within
 range.
