=== debian/changelog ===
wicd (1.7.0+ds1-9) unstable; urgency=high

  * Fix postinst: it breaks dh_python2's layout

 -- David Paleino <dapal@debian.org>  Sat, 22 Oct 2011 11:25:07 +0200

wicd (1.7.0+ds1-8) unstable; urgency=low

  * Really fix debconf when non-existing users are involved
    (Closes: #634051)
  * Switch package to dh_python2 from dh_pysupport

 -- David Paleino <dapal@debian.org>  Fri, 21 Oct 2011 23:00:49 +0200

wicd (1.7.0+ds1-7) unstable; urgency=low

  * Standards-Version bump to 3.9.2, no changes needed
  * Updated debian/copyright to match latest DEP-5
  * Implement a -t/--tray switch to only run the wicd tray icon
    (36-implement_tray-only.patch) (Closes: #583684)
  * Replace "cli" with "console" (to avoid the usage of "CLI", which is used
    by Mono applications) in wicd-cli's short description
    (Closes: #617328)
  * Add Danish debconf translation, thanks to Joe Dalton
    (Closes: #621364)
  * Add Serbian debconf translation, thanks to Zlatan Todoric
    (Closes: #635079, #635080)
  * 34-dont_save_useless_config.patch: drop useless has_profile=False
    sections and more (Closes: #629364)
  * Work-around adding non-existing users to debconf (Closes: #634051)
  * Fix suspend scripts, they had old paths (37-fix_suspend_scripts.patch)
    (Closes: #635444)
  * Fix search for libc in wicd/misc.py (38-fix_libc_ctype_linking.patch)
    (Closes: #636941)
  * 39-fix_channel_digit_parsing.patch: support channels with more than
    2 digits (Closes: #640075)
  * 40-checkbox_passwords.patch: add a checkbox to show/hide passwords
    (Closes: #573096) (LP: #476982)
  * 41-add_new_templates.patch: new encryption templates (Closes: #641531)
  * 42-support_new_urwid.patch: support urwid 1.0.0 (Closes: #645681)

 -- David Paleino <dapal@debian.org>  Mon, 17 Oct 2011 22:18:06 +0200

wicd (1.7.0+ds1-6) unstable; urgency=low

  * debian/patches/:
    - 26-support_etc-network_scripts.patch refreshed, /etc/network/
      scripts should now be properly supported (Closes: #579497)
    - 31-dont_crash_on_notification_exceptions.patch added
      (Closes: #569755, #587303)
    - 32-prefer_gksu.patch added (Closes: #575403)
    - 33-deepcopy_python27_fixes.patch backported from Ubuntu,
      thanks to Matthieu Baerts (LP: #602825)
    - 34-dont_save_useless_config.patch added: don't save link quality,
      signal strength and bitrates in the configuration files.
      (Closes: #612918)
    - 35-restrict_netmode_characters.patch added, don't crash
      if the network mode is not what we expect. Thanks to Julien
      Blache for the patch (Closes: #550957)
  * debian/control:
    - removed depedency on python-iniparse from wicd-daemon
    - removed Build-Depends on quilt
    - fixed typo in long description, thanks to Martin Eberhard Schauer
      (Closes: #611567)
    - bump Standards-Version to 3.9.1, no changes needed
    - use Breaks+Replaces instead of Conflicts+Replaces
  * debian/rules:
    - don't use "--with quilt" anymore
  * debian/po/pt_BR.po added: debconf translation for Brazilian
    Portuguese, thanks to Adriano Rafael Gomes (Closes: #594266)
  * debian/wicd-daemon.config: don't ask if all users are already
    in the netdev group (Closes: #588078)
  * debian/wicd-cli.8: explain -w/--save and -m/--name (Closes: #583586)
  * debian/wicd-daemon.wicd.init, export $PATH, makes the daemon work
    in a clean environment. Thanks to Peter Palfrader (Closes: #604810)
  * debian/wicd-curses.postrm: redirect stderr (Closes: #605338)

 -- David Paleino <dapal@debian.org>  Sat, 12 Feb 2011 00:16:58 +0100

wicd (1.7.0+ds1-5) unstable; urgency=medium

  * debian/patches/series:
    - 26-support_etc-network_scripts.patch disabled, needs more proper
      support (reopen #579497)

 -- David Paleino <dapal@debian.org>  Sat, 29 May 2010 09:17:32 +0200

wicd (1.7.0+ds1-4) unstable; urgency=high

  * Urgency high because of RC #582980
  * debian/patches:
    - 25-use_dhcpcd_also_in_Debian.patch refreshed, to make it work
      again with dhcpcd. Thanks to Brad Jorsch (Closes: #582980)
    - 30-make_connection_info_selectable.patch added (Closes: #571579)

 -- David Paleino <dapal@debian.org>  Tue, 25 May 2010 19:20:33 +0200

wicd (1.7.0+ds1-3) unstable; urgency=low

  * debian/control:
    - fixed package descriptions (Closes: #574152)
  * debian/patches/:
    - 23-fix_script_macro_expansion.patch ported from upstream,
      fixes bug in script macro expansion.
    - 24-wait_for_DHCP_client.patch added, waits for DHCP's client
      process to end, avoiding zombie processes. Thanks to Marin
      Ivanov for the patch! (Closes: #537195)
    - 25-use_dhcpcd_also_in_Debian.patch added: upstream changed
      the client from dhcpcd to dhcpcd-bin. This patch reverts it,
      so that defaults in /etc/default/dhcpcd are still observed.
      (Closes: #578014)
    - 26-support_etc-network_scripts.patch added, support /etc/network/
      hierarchy for connection scripts (Closes: #579497)
    - 27-fix_resolv.conf_perms.patch added, make sure dhclient.conf has
      0644 permissions (Closes: #582798)
    - 28-announce_dhclient.conf.template.patch added, describe
      /etc/wicd/dhclient.conf.template in wicd(8) (Closes: #582817)
    - 29-document_variables_passed_to_scripts.patch added (Closes: #570891)
  * debian/NEWS.Debian updated to announce /etc/wicd/dhclient.conf.template

 -- David Paleino <dapal@debian.org>  Mon, 24 May 2010 18:11:17 +0200

wicd (1.7.0+ds1-2) unstable; urgency=low

  * Fix RC bug: daemon doesn't start anymore because copy.deepcopy()
    fails with the iniparse object, coming from 20-use_iniparse.patch.
    Bug 568326 reopened. (Closes: #572599)

 -- David Paleino <dapal@debian.org>  Fri, 05 Mar 2010 18:12:51 +0100

wicd (1.7.0+ds1-1) unstable; urgency=low

  * New repacked tarball, contains translations .po files
    (Closes: #572352)
  * debian/bug-control added, let's add more info to the bugreports!
  * debian/control:
    - debhelper dependency bumped to >= 7.2.3~, to use dh_bugfiles

