=== debian/control ===
Source: wicd
Section: net
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 7.2.3~)
 , python (>= 2.6.6-3~)
Build-Depends-Indep:
 po-debconf
Standards-Version: 3.9.2
Homepage: http://wicd.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/wicd.git
Vcs-Git: git://git.debian.org/collab-maint/wicd.git

Package: wicd
Architecture: all
Depends: ${misc:Depends}
 , wicd-daemon (= ${source:Version})
 , wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
Description: wired and wireless network manager - metapackage
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility;
  * tray icon showing network activity and signal strength;
  * lack of GNOME dependencies (although it does require GTK+), making it
    easy to use in Xfce, Fluxbox, Openbox, Enlightenment, etc.
 .
 This is a metapackage, it allows installation of all the components of
 Wicd, including one of the clients, which must be manually chosen.

Package: wicd-daemon
Architecture: all
Depends:
 ${misc:Depends}
 , ${python:Depends}
 , python-dbus
 , python-gobject
# , python-iniparse
 , dbus
 , wpasupplicant
 , wireless-tools
 , dhcpcd | dhcp3-client | pump | udhcpc
 , net-tools | ethtool
 , net-tools | iproute
 , adduser
 , lsb-base (>= 3.2-13)
 , psmisc
 , iputils-ping | inetutils-ping
 , python-wicd (= ${source:Version})
Recommends: wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
Suggests: pm-utils
Breaks: wicd (<= 1.6.2.2-4)
Replaces: wicd (<= 1.6.2.2-4)
Description: wired and wireless network manager - daemon
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package contains the daemon needed to run Wicd.

Package: wicd-gtk
Architecture: all
Depends:
 ${misc:Depends}
 , ${python:Depends}
 , python-gtk2
 , python-glade2
 , wicd-daemon (= ${source:Version})
Recommends:
 gksu | kdesu | ktsuss | sudo
 , python-notify
Provides: wicd-client
Breaks: wicd (<= 1.6.2.2-4)
Replaces: wicd (<= 1.6.2.2-4)
Description: wired and wireless network manager - GTK+ client
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package provides the GTK+ client, which has no GNOME dependencies,
 making it easy to use in Xfce, Fluxbox, Openbox, Enlightenment, ...
 It also supports a tray icon showing network activity and signal
 strength.

Package: wicd-curses
Architecture: all
Depends:
 ${misc:Depends}
 , ${python:Depends}
 , python-urwid
 , wicd-daemon (= ${source:Version})
Recommends: sudo
Provides: wicd-client
Breaks: wicd (<= 1.6.2.2-4)
Replaces: wicd (<= 1.6.2.2-4)
Description: wired and wireless network manager - Curses client
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package provides the Curses/Urwid client, which is the client
 of choice in environments without X server.

Package: wicd-cli
Architecture: all
Depends:
 ${misc:Depends}
 , ${python:Depends}
 , wicd-daemon (= ${source:Version})
Recommends: sudo
Provides: wicd-client
Breaks: wicd (<< 1.7.0~a3)
Replaces: wicd (<< 1.7.0~a3)
Description: wired and wireless network manager - scriptable console client
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package provides a scriptable console client.

Package: python-wicd
Architecture: all
Section: python
Depends:
 ${misc:Depends}
 , ${python:Depends}
Breaks: wicd (<< 1.7.0~a3)
Replaces: wicd (<< 1.7.0~a3)
Description: wired and wireless network manager - Python module
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package provides the Python module used by Wicd.
