## wicd 1.7.1~b3

=== debian/changelog ===
wicd (1.7.1~b3-4) unstable; urgency=low

  * Fix translations even more (Closes: #655994)
  * Hopefully fixed bug with ESSIDs containing '\x00' (Closes: #655159)
  * Mask out sensitive info in logfiles (Closes: #652417)

 -- David Paleino <dapal@debian.org>  Sat, 21 Jan 2012 11:24:53 +0100

wicd (1.7.1~b3-3) unstable; urgency=low

  * More backports from upstream:
    - fix various translation bugs (Closes: #651804)
    - fix check for configfile existence (Closes: #651933)
    - fix various issues with unicode (Closes: #588444, #612981)

 -- David Paleino <dapal@debian.org>  Fri, 16 Dec 2011 12:33:29 +0100

wicd (1.7.1~b3-2) unstable; urgency=low

  * Don't wipe out configuration files (03-fix_configmanager_bug.patch)
  * Backported upstream fixes (04-backport_upstream_fixes.patch)
    - Fixed mismatch between DBus API and code (Closes: #651412)
    - Fixed typo -- dict being used with ()

 -- David Paleino <dapal@debian.org>  Sun, 11 Dec 2011 20:50:33 +0100

wicd (1.7.1~b3-1) unstable; urgency=low

  * New upstream beta release
    - useless patches removed, most of them merged upstream.
      Remaining ones:
      + 01-remove_unused_icons.patch
      + 26-support_etc-network_scripts.patch
      + 32-prefer_gksu.patch
    - documented wicd-gtk's -t option (Closes: #648757)
    - keep configuration files sorted (Closes: #568326)
    - show correct ESSID in status bar (Closes: #535507, #647503)
    - show correct ESSID when rescanning networks (Closes: #552254)
    - redesigned l10n system (Closes: #572375)
  * Added Dutch Debconf translation, thanks to Jeroen Schot
    (Closes: #643640)
  * Drop kdesu, ktsuss and sudo from wicd-gtk's Recommends.
  * Make wicd-daemon Pre-Depend on debconf (>= 1.5.34) to correctly
    handle sr@latin translation (Closes: #647626)
  * Removed get-orig-source target from debian/rules, no more needed
  * Compile translations at build-time in debian/rules, using
    setup.py's machinery
  * Clean files after build using debian/clean
  * Workaround dhclient's bug trying to set a different hostname
    (see #609851)

 -- David Paleino <dapal@debian.org>  Tue, 06 Dec 2011 22:05:11 +0100
