## wicd 1.7.2.3

=== debian/changelog ===
wicd (1.7.2.3-1ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: local privilege escalation (LP: #979221)
    - debian/patches/33-fix_local_privilege_escalation.patch: sanitize
      config properties. Thanks to David Paleino <dapal@debian.org>
    - CVE-2012-2095

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 30 Apr 2012 22:22:03 +0200

wicd (1.7.2.3-1) unstable; urgency=high

  * New upstram version
    - fix bug with wicd-curses and UTF-8 locales (Closes: #669602)

 -- David Paleino <dapal@debian.org>  Sun, 22 Apr 2012 18:42:19 +0200

wicd (1.7.2.2-1) unstable; urgency=high

  * New upstream version
    - fix bug with encryption templates (Closes: #669388)

 -- David Paleino <dapal@debian.org>  Thu, 19 Apr 2012 22:47:05 +0200

wicd (1.7.2.1-1) unstable; urgency=low

  * New upstream version
    - fix crash with wicd-curses (Closes: #668520)

 -- David Paleino <dapal@debian.org>  Thu, 12 Apr 2012 22:08:37 +0200

wicd (1.7.2-1) unstable; urgency=low

  * New upstream version
    - fixed local privilege escalation, CVE-2012-2095 (Closes: #668397)
  * Added Indonesian debconf translation, thanks to Mahyuddin
    Susanto (Closes: #658785)
  * Fixed debian/watch to look packages from launchpad
  * Bump Standards-Version to 3.9.3, no changes needed
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 12 Apr 2012 00:03:06 +0200

wicd (1.7.1-1) unstable; urgency=low

  * New upstream release
  * Patches refreshed to match 1.7.1's code

 -- David Paleino <dapal@debian.org>  Thu, 02 Feb 2012 20:36:02 +0100

wicd (1.7.1~b3-5) unstable; urgency=low

  * Finally, really fix the issue with ESSIDs containing \x00
    (Closes: #655159)

 -- David Paleino <dapal@debian.org>  Tue, 31 Jan 2012 18:35:41 +0100
