=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: wicd
 Section: net
 Priority: optional
-Maintainer: David Paleino <dapal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 7.2.3~)
  , python (>= 2.6.6-3~)
 Build-Depends-Indep:
  po-debconf
-Standards-Version: 3.9.2
+ , python-babel
+ , gettext
+Standards-Version: 3.9.3
 Homepage: http://wicd.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/wicd.git
 Vcs-Git: git://git.debian.org/collab-maint/wicd.git
@@ -53,6 +56,7 @@
  , psmisc
  , iputils-ping | inetutils-ping
  , python-wicd (= ${source:Version})
+Pre-Depends: debconf (>= 1.5.34)
 Recommends: wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
 Suggests: pm-utils
 Breaks: wicd (<= 1.6.2.2-4)
@@ -79,7 +83,7 @@
  , python-glade2
  , wicd-daemon (= ${source:Version})
 Recommends:
- gksu | kdesu | ktsuss | sudo
+ gksu
  , python-notify
 Provides: wicd-client
 Breaks: wicd (<= 1.6.2.2-4)
