## wicd 1.7.2.4

=== debian/changelog ===
wicd (1.7.2.4-4.1ubuntu1) trusty; urgency=low

  * debian/patches/34-fix-resolv.conf_backup-restore-broken-link.patch:
    allow wicd-daemon to start when /etc/resolv.conf is a broken link
    (LP: #1132529)

 -- Javier P.L. <chilicuil@ubuntu.com>  Fri, 06 Dec 2013 01:02:49 -0600

wicd (1.7.2.4-4.1) unstable; urgency=low

  * Non-maintainer upload
  * Add patch by isis agora lovecruft to fix wicd-curses run time errors
    caused by the changes of python-urwid 1.1 API (Closes: #709120)
  * Bump wicd-curses dependency on python-urwid to >= 1.1

 -- Axel Beckert <abe@debian.org>  Fri, 07 Jun 2013 18:42:23 +0200

wicd (1.7.2.4-4) unstable; urgency=low

  * Move user-adding code from debconf-config to wicd-daemon postinst
    (Closes: #692916)

 -- David Paleino <dapal@debian.org>  Sat, 10 Nov 2012 21:41:50 +0100

wicd (1.7.2.4-3) unstable; urgency=low

  * Fix debian/watch
  * Recommend rfkill in wicd-daemon (Closes: #683559)
  * Substitute dependency on dhcp3-client with isc-dhcp-client
    (Closes: #680976)
  * Fix handling of /etc/resolv.conf when it's a symlink (Closes: #691973)

 -- David Paleino <dapal@debian.org>  Fri, 02 Nov 2012 21:49:32 +0100

wicd (1.7.2.4-2) unstable; urgency=high

  * Fix comments inside /etc/default/wicd (Closes: #668327)
  * Fixed sanitation bug (urgency=high)

 -- David Paleino <dapal@debian.org>  Fri, 04 May 2012 10:22:46 +0200

wicd (1.7.2.4-1) unstable; urgency=high

  * New upstream version
    - really fix local privilege escalation, CVE-2012-2095 (Closes: #668397)
  * Fixed typo in previous changelog entry

 -- David Paleino <dapal@debian.org>  Mon, 30 Apr 2012 21:32:55 +0200
