=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wicd
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
+Maintainer: David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 7.2.3~)
  , python (>= 2.6.6-3~)
@@ -48,7 +47,7 @@
  , dbus
  , wpasupplicant
  , wireless-tools
- , dhcpcd | dhcp3-client | pump | udhcpc
+ , dhcpcd | isc-dhcp-client | pump | udhcpc
  , net-tools | ethtool
  , net-tools | iproute
  , adduser
@@ -58,6 +57,7 @@
  , python-wicd (= ${source:Version})
 Pre-Depends: debconf (>= 1.5.34)
 Recommends: wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
+ , rfkill
 Suggests: pm-utils
 Breaks: wicd (<= 1.6.2.2-4)
 Replaces: wicd (<= 1.6.2.2-4)
@@ -109,7 +109,7 @@
 Depends:
  ${misc:Depends}
  , ${python:Depends}
- , python-urwid
+ , python-urwid (>= 1.1)
  , wicd-daemon (= ${source:Version})
 Recommends: sudo
 Provides: wicd-client
