## wicd 1.7.4%2Btb2

=== debian/changelog ===
wicd (1.7.4+tb2-1) unstable; urgency=low

  * QA upload

  [ toogley ]
  * cleaned up trailing spaces inside d/changelog
  * fixing lintian error "command-in-menu-file-and-desktop-file"
    https://lintian.debian.org/tags/command-in-menu-file-and-desktop-file.html

  [ Axel Beckert ]
  * Import second tarball release of new upstream release.
    + Remove 38-fix_WEP-hex_connection_template.patch (applied upstream)
    + Refresh 26-support_etc-network_scripts.patch.
  * Remove 02-workaround_dhclient_bug.patch (#609851 has been fixed in
    dhclient)

 -- Axel Beckert <abe@debian.org>  Tue, 26 Jan 2016 10:11:53 +0100

wicd (1.7.3-3) unstable; urgency=low

  * QA upload
  * Add patch from upstream bug report to fix "IndexError: list index out
    of range" in wicd-curses. (Closes: #812224)
  * Add patch to fix the parsing and writing of wep-hex configurations and
    hence fix connecting to WEP based networks. (Closes: #812427)

 -- Axel Beckert <abe@debian.org>  Sun, 24 Jan 2016 02:35:17 +0100

wicd (1.7.3-2) unstable; urgency=low

  * QA upload
  * Add new /usr/share/wicd/icons/ directory to debian/wicd-gtk.install.
    Fixes regression with missing status icons in wicd-gtk.  (Closes:
    #811364) Thanks to Reiner Herrmann for the right hint!

 -- Axel Beckert <abe@debian.org>  Mon, 18 Jan 2016 23:28:27 +0100

wicd (1.7.3-1) unstable; urgency=low

  * QA upload

  [ Andreas Henriksson ]
  * Depend on iproute2 instead of transitional package iproute

  [ Ritesh Raj Sarraf ]
  * Imported Upstream version 1.7.3 (Closes: #774894)
    - fixes "wicd-daemon: no autoconnect when GUI is open" (Closes: #582567)
  * Refresh patches and drop some patches (applied upstream)
  * Fix build failure on ast.po.
  * Disable installation of gnome-shell-extension

  [ Axel Beckert ]
  * Update Vcs-* headers.
  * Change Homepage header from SourceForge to Launchpad as wicd's
    SourceForge page is horribly out of date and refers to Launchpad.
  * Integrate 1.7.2.4-4.2 NMU + 1.7.2.4-5 QA upload and refresh
    34-newer_urwid accordingly.
  * Fix lintian warning wildcard-matches-nothing-in-dep5-copyright.
  * Add install.log to debian/clean to allow building twice in a row.
  * Remove all other/* entries from debian/clean, they seem obsolete.
  * Apply wrap-and-sort.
  * Bump debhelper compatibility to 9 as recommended.
    + Update versioned build-dependency on debhelper accordingly.
  * debian/rules:
    + Restore wicd/wpath.py in clean target to have a pristine working copy
      again after running debian/rules clean.
    + No more set the unused variable CURVER.
    + List % target first for clarity.
  * Add build-dependency on dh-python to fix dh_python2 warning.
  * wicd-*.postinst: Guard find call with check if directory exists.
    (Closes: #724031, #785671)
  * Use patch from Voidlinux to fix "ValueError: None is not in list"
    error when accessing the network properties of any wireless network in
    wicd-curses.
  * Add patch to show "Q" as key to quit the wireless network property
    view since the originally shown "Esc" doesn't work (anymore).

  [ toogley ]
  * added turkish translation for debconf template (Closes: #759884)

 -- Axel Beckert <abe@debian.org>  Sun, 17 Jan 2016 19:34:51 +0100

wicd (1.7.2.4-5) unstable; urgency=low

  * QA upload.
  * Set Maintainer field to QA Group.
  * Bump Standards-Version to 3.9.6.
  * Remove install.log in override_dh_auto_clean to fix FTBFS when building
    the package twice in a row.

 -- Emanuele Rocca <ema@debian.org>  Sat, 12 Dec 2015 23:24:05 +0100

wicd (1.7.2.4-4.2) unstable; urgency=high

  * Non-maintainer upload.
  * Support newer python-urwid (Closes: #800693)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 04 Oct 2015 10:32:42 +0200
