=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CURVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | sed -e "s/\(\+.*\)\|\(\-.*\)//")
+%:
+	dh $@ --with python2
 
 override_dh_auto_configure:
+	if [ -e wicd/wpath.py ]; then cp -pf wicd/wpath.py debian/; fi
 	python setup.py configure \
 		--no-install-acpi \
 		--no-install-docs \
+		--no-install-gnome-shell-extensions \
 		--lib=/usr/share/wicd \
 		--share=/usr/share/wicd \
 		--wicdgroup=netdev \
@@ -20,13 +23,11 @@
 	dh_auto_build
 	python setup.py compile_translations
 
-	# pybabel currently doesn't support Asturian
-	msgfmt po/ast.po -o translations/ast/LC_MESSAGES/wicd.mo
-
 override_dh_auto_clean:
 	dh_auto_clean
 	-find . \( -name "*.pyc" -o -name "*.pyo" \) -delete
-	-rm -rf build/ init/ scripts/ translations/
+	-rm -rf build/ init/ scripts/ translations/ install.log
+	if [ -e debian/wpath.py ]; then mv -f debian/wpath.py wicd/; fi
 
 override_dh_auto_install:
 	python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
@@ -52,7 +53,3 @@
 	dh_python2 -p wicd-daemon /usr/share/wicd/daemon
 	dh_python2 -p wicd-gtk /usr/share/wicd/gtk
 	dh_python2 -p wicd-cli /usr/share/wicd/cli
-
-%:
-	dh $@ \
-		--with python2
