## wicd 1.7.4%2Btb2-5%2B9.0trisquel1

=== debian/changelog ===
wicd (1.7.4+tb2-5+9.0trisquel1) etiona; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 22 Jun 2019 01:03:51 +0200

wicd (1.7.4+tb2-5) unstable; urgency=medium

  * Add location of Debian derivatives patches in debian/README.source.
  * Declare compliance with Debian Policy 4.1.1.
    + Switch DEP5 copyright format URL to HTTPS.
  * Replace dependencies on "net-tools | ethtool" and "net-tools |
    iproute2" in wicd-daemon with a hard dependency on net-tools and
    suggesting ethtool and iproute2 in python-wicd. Thanks to Neels
    Hofmeyr for the bug report. (Closes: #881225)
  * Switch bugs.debian.org URLs in DEP3 headers to HTTPS and short form.

 -- Axel Beckert <abe@debian.org>  Sat, 11 Nov 2017 00:18:14 +0100

wicd (1.7.4+tb2-4) unstable; urgency=medium

  [ Axel Beckert ]
  * Drop old quilt-related contents of debian/README.source and hijack it
    for inter-distribution hints.

  [ Giap Tran ]
  * Add patch to fix wrong Galician translation (Closes: #856690,
    LP: #1689138)
  * Add Vietnamese translation.
  * Change my name to ASCII-compatible variant also in debian/changelog.

 -- Axel Beckert <abe@debian.org>  Sun, 28 May 2017 22:20:00 +0200

wicd (1.7.4+tb2-3) unstable; urgency=medium

  [ Axel Beckert ]
  * Now maintained by the Debian WICD Packaging Team. (Closes: #801253)
    + Change Vcs-* URLs to …/pkg-wicd/wicd.git
    + Update Maintainers field and add Uploaders field.
  * Add NEWS.Debian entry for changes between Jessie and Stretch
    wrt. /etc/wicd/dhclient.conf.template and the possible need to update
    the file manually.
  * Update dependency on dhcpcd to dhcpcd5. (Closes: #783272) Thanks
    Konrad Zimmermann!
  * Fix typo MSCHAPv2 vs MSCHAPV2 for more pedantic wpa_supplicant 2.6.
    (LP: #1656061) Thanks to Piotr Karbowski for the upstream bug report
    and suggested fix!
  * Add WPA*-PEAP templates without domain. (Closes: #831805, #759785, LP:
    #1591489)
  * Add patch to fix documentation wrt. to which dhclient.conf wicd
    (re)generates. Also update mention path in an older NEWS.Debian item
    to avoid confusion. (Closes: #773809)

  [ Giap Tran ]
  * Remove $DAEMON_OPTIONS from reload function.

  [ John C. Peterson ]
  * wicd-gtk: Add patch to initialize state of Wifi On/Off button
    properly. (Closes: #758737, LP: #1232521)

  [ Vincent Lefevre ]
  * Add patch to fix wicd-manager-settings.conf(5) man page
    wrt. wired_connect_mode. (Closes: #557156)

 -- Axel Beckert <abe@debian.org>  Sun, 22 Jan 2017 17:16:07 +0100

wicd (1.7.4+tb2-2) unstable; urgency=low

  * QA upload

  [ Axel Beckert ]
  * Fix FTBFS if $LANG is unset (or set to something unexpected) by
    hardcoding a sane value in debian/rules. (Closes: #824596)
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Switch Vcs-Git header from git:// to https://.

  [ Giap Tran ]
  * Add default DAEMON_ARGS="--keep-connection" to /etc/default/wicd
    (Closes: #816076)

 -- Axel Beckert <abe@debian.org>  Sun, 22 May 2016 23:50:03 +0200
