## wicd 1.7.4+tb2

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: wicd
 Section: net
 Priority: optional
-Maintainer: David Paleino <dapal@debian.org>
-Build-Depends:
- debhelper (>= 7.2.3~)
- , python (>= 2.6.6-3~)
-Build-Depends-Indep:
- po-debconf
- , python-babel
- , gettext
-Standards-Version: 3.9.3
-Homepage: http://wicd.sourceforge.net/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/wicd.git
-Vcs-Git: git://git.debian.org/collab-maint/wicd.git
+Maintainer: Debian WICD Packaging Team <pkg-wicd-maint@lists.alioth.debian.org>
+Uploaders: Axel Beckert <abe@debian.org>,
+           Giap Tran <txgvnn@gmail.com>
+Build-Depends: debhelper (>= 9~),
+               dh-python,
+               python (>= 2.6.6-3~)
+Build-Depends-Indep: gettext,
+                     po-debconf,
+                     python-babel
+Standards-Version: 4.1.1
+Homepage: https://launchpad.net/wicd
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-wicd/wicd.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-wicd/wicd.git
 
 Package: wicd
 Architecture: all
-Depends: ${misc:Depends}
- , wicd-daemon (= ${source:Version})
- , wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
+Depends: wicd-daemon (= ${source:Version}),
+         wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client,
+         ${misc:Depends}
 Description: wired and wireless network manager - metapackage
  Wicd is a general-purpose network configuration server which aims
  to provide a simple but flexible interface for connecting to networks.
@@ -38,26 +39,22 @@
 
 Package: wicd-daemon
 Architecture: all
-Depends:
- ${misc:Depends}
- , ${python:Depends}
- , python-dbus
- , python-gobject
-# , python-iniparse
- , dbus
- , wpasupplicant
- , wireless-tools
- , dhcpcd | isc-dhcp-client | pump | udhcpc
- , net-tools | ethtool
- , net-tools | iproute
- , adduser
- , lsb-base (>= 3.2-13)
- , psmisc
- , iputils-ping | inetutils-ping
- , python-wicd (= ${source:Version})
+Depends: adduser,
+         dbus,
+         dhcpcd5 | isc-dhcp-client | pump | udhcpc,
+         iputils-ping | inetutils-ping,
+         lsb-base (>= 3.2-13),
+         psmisc,
+         python-dbus,
+         python-gobject,
+         python-wicd (= ${source:Version}),
+         wireless-tools,
+         wpasupplicant,
+         ${misc:Depends},
+         ${python:Depends}
 Pre-Depends: debconf (>= 1.5.34)
-Recommends: wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
- , rfkill
+Recommends: rfkill,
+            wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
 Suggests: pm-utils
 Breaks: wicd (<= 1.6.2.2-4)
 Replaces: wicd (<= 1.6.2.2-4)
@@ -76,15 +73,13 @@
 
 Package: wicd-gtk
 Architecture: all
-Depends:
- ${misc:Depends}
- , ${python:Depends}
- , python-gtk2
- , python-glade2
- , wicd-daemon (= ${source:Version})
-Recommends:
- gksu
- , python-notify
+Depends: python-glade2,
+         python-gtk2,
+         wicd-daemon (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: gksu,
+            python-notify
 Provides: wicd-client
 Breaks: wicd (<= 1.6.2.2-4)
 Replaces: wicd (<= 1.6.2.2-4)
@@ -106,11 +101,10 @@
 
 Package: wicd-curses
 Architecture: all
-Depends:
- ${misc:Depends}
- , ${python:Depends}
- , python-urwid (>= 1.1)
- , wicd-daemon (= ${source:Version})
+Depends: python-urwid (>= 1.1),
+         wicd-daemon (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: sudo
 Provides: wicd-client
 Breaks: wicd (<= 1.6.2.2-4)
@@ -131,10 +125,9 @@
 
 Package: wicd-cli
 Architecture: all
-Depends:
- ${misc:Depends}
- , ${python:Depends}
- , wicd-daemon (= ${source:Version})
+Depends: wicd-daemon (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: sudo
 Provides: wicd-client
 Breaks: wicd (<< 1.7.0~a3)
@@ -155,9 +148,11 @@
 Package: python-wicd
 Architecture: all
 Section: python
-Depends:
- ${misc:Depends}
- , ${python:Depends}
+Depends: ${misc:Depends},
+         ${python:Depends},
+         net-tools
+Suggests: ethtool,
+          iproute2
 Breaks: wicd (<< 1.7.0~a3)
 Replaces: wicd (<< 1.7.0~a3)
 Description: wired and wireless network manager - Python module
