=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# FTBFS if $LANG is unset
+export LANG=C
 
 %:
 	dh $@ --with python2
