=== debian/watch ===
version=3
opts=uversionmangle=s/%7E/~/ \
https://launchpad.net/wicd/+download \
	https://launchpad.net/wicd/\d.\d/\d+.*/\+download/wicd-(\d+.*)\.tar\.(?:gz|bz2)
